3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php try { throw new Exception("dddd"); } catch (Exception $e) { echo 1; echo $e; } echo "\n"; echo 2; echo $e;
based on 4KoJ8
Output for 7.0.0 - 7.2.0
1Exception: dddd in /in/lRCHP:4 Stack trace: #0 {main} 2Exception: dddd in /in/lRCHP:4 Stack trace: #0 {main}
Output for 5.3.18 - 5.6.28
1exception 'Exception' with message 'dddd' in /in/lRCHP:4 Stack trace: #0 {main} 2exception 'Exception' with message 'dddd' in /in/lRCHP:4 Stack trace: #0 {main}